package com.goafanti.achievement.service;


import com.goafanti.achievement.bo.AchievementPublishBo;
import com.goafanti.common.model.AchievementPublish;
import com.goafanti.core.mybatis.page.Pagination;


public interface AchievementPublishService {

	
	int insertachievementPublish(AchievementPublish a);

	int deletePublish(String id);

	int updatePublish(AchievementPublish a);

	Pagination<AchievementPublishBo> listPublish(String name, String publishPlatform, Integer publishClient, String publishPage, Integer ifTop,
			Integer pageNo, Integer pageSize,String ownerName);

	

}
